(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Printers;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  Rec: TRect;     // printing area
  Rate: Double;   // image fault coefficient
begin
  Image1.Picture.LoadFromFile('factory.bmp');
  Rate:=Image1.Picture.Height/Image1.Picture.Width;
  Rec:=Rect(5, 5, Printer.PageWidth-5, Trunc(Printer.PageHeight*Rate-GetDeviceCaps(Printer.Handle, LOGPIXELSX))-5);
  Printer.BeginDoc;
  Printer.Canvas.StretchDraw(Rec, Image1.Picture.Graphic);
  Printer.EndDoc;
end;

end.
